# class Chef::ChefFS::FileSystem::AclsDir

### Constants

ENTITY_TYPES

### Public Class Methods

new(parent) click to toggle source
Calls superclass method

    # File lib/chef/chef_fs/file_system/acls_dir.rb, line 31
    def initialize(parent)
      super('acls', parent)
    end

### Public Instance Methods

api_path() click to toggle source

    # File lib/chef/chef_fs/file_system/acls_dir.rb, line 39
    def api_path
      parent.api_path
    end

can_have_child?(name, is_dir) click to toggle source

    # File lib/chef/chef_fs/file_system/acls_dir.rb, line 43
    def can_have_child?(name, is_dir)
      is_dir ? ENTITY_TYPES.include(name) : name == 'organization.json'
    end

children() click to toggle source

    # File lib/chef/chef_fs/file_system/acls_dir.rb, line 47
    def children
      if @children.nil?
        @children = ENTITY_TYPES.map do |entity_type|
          case entity_type
          when 'cookbooks'
            CookbooksAclDir.new(entity_type, self)
          else
            AclDir.new(entity_type, self)
          end
        end
        @children << AclEntry.new('organization.json', self, true) # the org acl is retrieved as GET /organizations/ORGNAME/ANYTHINGATALL/_acl
      end
      @children
    end

data_handler() click to toggle source

    # File lib/chef/chef_fs/file_system/acls_dir.rb, line 35
    def data_handler
      @data_handler ||= Chef::ChefFS::DataHandler::AclDataHandler.new
    end

rest() click to toggle source

    # File lib/chef/chef_fs/file_system/acls_dir.rb, line 62
    def rest
      parent.rest
    end